package example.cmp.relation_n_1;

import java.io.*;
import java.util.*;

import javax.ejb.*;
import javax.naming.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Local interface for the house table home.
 */
public class StudentServlet extends HttpServlet {
  private HouseHome houseHome;
  private StudentHome studentHome;
  
  public void init()
    throws ServletException
  {
    try {
      Context cmp = (Context) new InitialContext().lookup("java:comp/env/cmp");
      
      houseHome = (HouseHome) cmp.lookup("student_houses");
      studentHome = (StudentHome) cmp.lookup("students");
    } catch (Exception e) {
      throw new ServletException(e);
    }
  }

  public void doGet(HttpServletRequest request,
                    HttpServletResponse response)
    throws IOException, ServletException
  {
    try {
      PrintWriter out = response.getWriter();

      String []houses = new String[] { "Gryffindor", "Slytherin",
                                       "Ravenclaw", "Hufflepuff" };

      response.setContentType("text/html");

      for (int i = 0; i < houses.length; i++) {
        // find the house
        House house = (House) houseHome.findByPrimaryKey(houses[i]);

        out.print("<h1>");
        out.print(house.getName());
        out.println("</h1>");

        Collection students = house.getStudentList();

        Iterator iter = students.iterator();
        while (iter.hasNext()) {
          Student student = (Student) iter.next();

          out.print("<li>");
          out.println(student.getName());
        }
      }
    } catch (FinderException e) {
      throw new ServletException(e);
    }
  }
}
