package example.cmp.relations.many2many;

import java.util.*;

/**
 * Implementation class for the Student entity.
 */
abstract public class StudentBean extends com.caucho.ejb.AbstractEntityBean {

  /**
   * Returns the student name.  The name is the primary key.
   */
  abstract public String getName();

  /**
   * returns a <code>Collection</code> of all <code>Course</code>s the
   * <code>Student</code> is currently enrolled in.
   */
  abstract public Collection getCourseList();

  /**
   * a little helper enroll students in a <code>course</code>
   */
  public void addCourse(Course course)
  {
    this.getCourseList().add( course );
  }

  /**
   * a little helper to drop a <code>Course</code>
   */
  public void removeCourse(Course course)
  {
    this.getCourseList().remove( course );
  }
}
